library text;

uses
  SysUtils,
  Classes,
  UPluginSDK in 'UPluginSDK.pas';

const
  AppName='ViRUS FL Text Plugin v0.1.1';
  nActiveColCount=21;

{$R *.res}
{$E vlp}

function FLMode:integer;
begin
  result:=1;//Export;
//  resulr:=2;//Import  ॠ;
end;

function GetDisplayName : PChar;
begin
  result:=PChar(AppName);
end;

function GetFilterMask : PChar;
begin
  result:=PChar('Text files(*.txt)|*.txt');
end;

function ExportTo(pcFileName, pcData : PChar) : boolean;
var
  p : TvtVLFParser;
  i,j,k : Integer;
  f : TextFile;
begin
  p:=TvtVLFParser.Create;
  p.Parse(string(pcData));

  AssignFile(f,string(pcFileName));
  Rewrite(f);
  for k:=1 to p.nListsCount do
  for i:=2 to p.aLists[k-1].nItemsCount+1 do
  begin
    for j:=1 to nActiveColCount do
      if p.aLists[k-1].aItems[j-1,i-2]<>'' then
        WriteLn(f,p.aLists[k-1].aColumnsName[j-1]+': '+p.aLists[k-1].aItems[j-1,i-2]);
    WriteLn(f);
  end;
  CloseFile(f);
  result:=true;

  p.Free;
end;
{
function ImportFrom(sFileName : PChar) : PChar;
begin
end;}

exports
  FLMode, GetDisplayName, GetFilterMask, ExportTo;

begin
end.
